---
title: PaymentRequestEvent.openWindow()
slug: Web/API/PaymentRequestEvent/openWindow
tags:
  - API
  - Method
  - Payment Request API
  - PaymentRequestEvent
  - Reference
  - openWindow()
  - payment
---
<p>{{APIRef("Payment Request API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>openWindow</code></strong> property of the {{domxref("PaymentRequestEvent")}} interface opens the specified URL in a new window, if and only if the given URL is on the same origin as the calling page. It returns a {{jsxref("Promise")}} that resolves with a reference to a {{domxref("WindowClient")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>aPromise</em> = <em>paymentRequestEvent</em>.openWindow(<em>url</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>url</dt>
 <dd>The URL to open in the new window. It must be on the same origin as the calling page.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Promise")}} that resolves with a reference to a {{domxref("WindowClient")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment Handler','#openwindow-method','openWindow')}}</td>
   <td>{{Spec2('Payment Handler')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PaymentRequestEvent.openWindow")}}</p>
